Bug 124561 - jumping ui in calc (pastespecial drop down menu with/without arrow)
Summary: jumping ui in calc (pastespecial drop down menu with/without arrow)
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: topicUI
Depends on:
Blocks: Calc-Toolbars
  Show dependency treegraph
 
Reported: 2019-04-05 08:50 UTC by andreas_k
Modified: 2022-04-17 03:30 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description andreas_k 2019-04-05 08:50:28 UTC
Reproduce
- open calc
- insert an image/ole/media/... 
- curser to cell
- curser to image/ole/media/...
- the standard toolbar size change

issue
- the pastespecial command show in cell mode an drop down arrow
- the pastespecial command show in image/ole/media no drop down arrow

writer
- in writer the pastespecial (with arrow) is grayed out when select image/ole/media

solution
- use same behaviour than in writer (gray out pastespecial)




tested with master, 6.2 in gtk and on windows.
Comment 1 Roman Kuznetsov 2019-04-05 10:18:25 UTC
confirm in

Version: 6.3.0.0.alpha0+
Build ID: d31d77b7199ecc9a7edc899d9703e9da52d5cbd1
CPU threads: 4; OS: Windows 6.1; UI render: default; VCL: win; 
TinderBox: Win-x86@42, Branch:master, Time: 2019-04-01_00:04:09
Locale: ru-RU (ru_RU); UI-Language: en-US
Calc: threaded
Comment 2 Heiko Tietze 2019-04-10 14:12:12 UTC
Cannot confirm in master. Standard toolbar remains static whether cell or image is selected.
Comment 3 Roman Kuznetsov 2019-04-10 14:41:49 UTC
(In reply to Heiko Tietze from comment #2)
> Cannot confirm in master. Standard toolbar remains static whether cell or
> image is selected.

It moves by horizontal
Comment 4 Heiko Tietze 2019-04-10 14:50:53 UTC
(In reply to Roman Kuznetsov from comment #3)
> It moves by horizontal

Got it, reason is the expander that is hidden instead of being disabled. Does not happen in Writer. Should be fixed.
Comment 5 Mike Jonesh 2020-04-16 13:43:11 UTC
Great post I need to say and thanks for the knowledge. I appreciate your post and appearance forward to more. Read More aol verizon
https://webaccountshelp.com/aol-mail-not-working
Comment 6 QA Administrators 2022-04-17 03:30:13 UTC
Dear andreas_k,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://web.libera.chat/?settings=#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug